# Uses of Interface
org.apache.sling.feature.builder.ArtifactProvider

Packages that use ArtifactProvider
Package
Description
org.apache.sling.feature.builder
org.apache.sling.feature.io.archive
org.apache.sling.feature.io.artifacts

## Uses of ArtifactProvider in org.apache.sling.feature.builder

Methods in org.apache.sling.feature.builder that return ArtifactProvider
Modifier and Type
Method
Description
`ArtifactProvider`
HandlerContext.`getArtifactProvider()`
Provide the optional artifact provider.
Methods in org.apache.sling.feature.builder with parameters of type ArtifactProvider
Modifier and Type
Method
Description
`BuilderContext`
BuilderContext.`setArtifactProvider(ArtifactProvider ap)`
Set the artifact provider.

## Uses of ArtifactProvider in org.apache.sling.feature.io.archive

Methods in org.apache.sling.feature.io.archive with parameters of type ArtifactProvider
Modifier and Type
Method
Description
`static JarOutputStream`
ArchiveWriter.`write(OutputStream out, Manifest baseManifest, ArtifactProvider provider, Feature... features)`
Create a feature model archive.

## Uses of ArtifactProvider in org.apache.sling.feature.io.artifacts

Classes in org.apache.sling.feature.io.artifacts that implement ArtifactProvider
Modifier and Type
Class
Description
`class`
`ArtifactManager`
The artifact manager is the central service to get artifacts.